summaryrefslogtreecommitdiffstats
path: root/source/l/strigi
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/strigi')
-rw-r--r--source/l/strigi/slack-desc19
-rwxr-xr-xsource/l/strigi/strigi.SlackBuild89
-rw-r--r--source/l/strigi/strigi.info4
3 files changed, 112 insertions, 0 deletions
diff --git a/source/l/strigi/slack-desc b/source/l/strigi/slack-desc
new file mode 100644
index 000000000..16dda7ee6
--- /dev/null
+++ b/source/l/strigi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+strigi: strigi (fast and light desktop search engine)
+strigi:
+strigi: Strigi is a fast and light desktop search engine. It can handle a
+strigi: large range of file formats such as emails, office documents, media
+strigi: files, and file archives. It can index files that are embedded in
+strigi: other files. This means email attachments and files in zip files
+strigi: are searchable as if they were normal files on your harddisk.
+strigi:
+strigi: Homepage: http://strigi.sourceforge.net/
+strigi:
+strigi:
diff --git a/source/l/strigi/strigi.SlackBuild b/source/l/strigi/strigi.SlackBuild
new file mode 100755
index 000000000..2a9dcb4ae
--- /dev/null
+++ b/source/l/strigi/strigi.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Copyright 2007-2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.6.4
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:--j6}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-strigi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf strigi-$VERSION
+tar xvf $CWD/strigi-$VERSION.tar.bz2 || exit 1
+cd strigi-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt \
+ PATH=$QTDIR/bin:$PATH \
+ cmake \
+ -DENABLE_INOTIFY:BOOL=ON \
+ -DENABLE_DBUS:BOOL=ON \
+ -DENABLE_EXPAT:BOOL=ON \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/strigi-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README TODO \
+ $PKG/usr/doc/strigi-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/strigi-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/strigi/strigi.info b/source/l/strigi/strigi.info
new file mode 100644
index 000000000..2301f49b5
--- /dev/null
+++ b/source/l/strigi/strigi.info
@@ -0,0 +1,4 @@
+PRGNAM="strigi"
+VERSION="0.5.9"
+HOMEPAGE="http://strigi.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/strigi/strigi-0.5.9.tar.bz2"